> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/tr/gelistir/temel-ogeler/nasil-yapilir/nft-metadata-sorgulama.md).

# NFT Metadata Sorgulama

## NFT Meta Verisi Nedir?

NFT meta verisi, bir NFT ile ilişkili özellikler, nitelikler ve ek içerik hakkında ayrıntıların bulunduğu zincir dışında depolanan açıklayıcı bilgi kümesidir. Bu ayrıntılar; bir resim URL'si, adı, açıklaması ve benzersizliği ve sahipliğiyle ilgili özellikler içerebilir.

## Moralis ile Nasıl Yapılır

Moralis'in kullanabileceğiniz bir NFT API'si vardır ve cüzdan geçmişi kullanım senaryosu için hatta bir kod örneği de sunmaktadırlar:

* [NFT meta verilerini al](https://docs.moralis.io/web3-data-api/evm/reference/get-nft-metadata?address=0xb47e3cd837dDF8e4c57F05d70Ab865de6e193BBB\&token_id=1\&chain=eth\&format=decimal\&normalizeMetadata=true\&media_items=false)

Kod örneklerini uyarlamak için Ethereum referansını Chiliz Chain için kullandıkları kimlik olan `0x15b38` ile değiştirin:

```typescript
import Moralis from 'moralis';

try {
  await Moralis.start({
    apiKey: "YOUR_API_KEY"
  });

  const response = await Moralis.EvmApi.nft.getNFTMetadata({
    "chain": "0x15b38", // Bu Chiliz Chain Mainnet içindir.
                        // Spicy Testnet için "0x15b32" kullanın.
    "format": "decimal",
    "normalizeMetadata": true,
    "mediaItems": false,
    "address": "0xYourNFTContractAddress",
    "tokenId": "1"
  });

  console.log(response.raw);
} catch (e) {
  console.error(e);
}
```

## Tatum ile Nasıl Yapılır

Tatum'ın meta veri alımı kullanım senaryosu için bir kod örneği de sunduğu blockchain soyutlama aracının NFT alt modülü mevcuttur:

* [Belirli bir NFT'nin meta verilerini al](https://docs.tatum.io/docs/get-the-metadata-of-a-specific-nft)

Kod örneklerini uyarlamak için Ethereum referansını Chiliz Chain ile değiştirin:

```typescript
import {TatumSDK, Network, Chiliz, ResponseDto, NftTokenDetail} from '@tatumio/tatum'

const tatum = await TatumSDK.init<Chiliz>({network: Network.CHILIZ})

const metadata: ResponseDto<NftTokenDetail|null> = await tatum.nft.getNftMetadata({
  tokenAddress: '0xYourNFTContractAddress', // koleksiyonunuzla değiştirin
  tokenId: '1'
})

console.log(metadata.data)
```

## thirdweb ile Nasıl Yapılır

thirdweb için belgeleme sitelerinde barındırılan kaynak koddan ilham alabiliriz:

* [ThirdwebNftMedia](https://portal.thirdweb.com/react/v4/components/ThirdwebNftMedia#usage)

İşte meta verileri almak için bunu koda nasıl dönüştürebileceğimiz:

```typescript
const { ThirdwebSDK } = require("@thirdweb-dev/sdk");

const sdk = new ThirdwebSDK("https://rpc.ankr.com/chiliz");
const nftContractAddress = "0xYourNFTContractAddress";
const tokenId = "YourTokenID";

async function getNFTMetadata() {
  try {
    const nftContract = await sdk.getNFTCollection(nftContractAddress);
    const nftMetadata = await nftContract.get(tokenId);
    console.log(`NFT meta verisi ${tokenId}:`, nftMetadata);
  } catch (error) {
    console.error("NFT meta verisi alınırken hata oluştu:", error);
  }
}

getNFTMetadata();
```

## Nodit ile Nasıl Yapılır

Nodit, [belgelerinde](https://developer.nodit.io/reference/chiliz-getnftmetadatabytokenids) şu kod örneğini sunmaktadır:

```typescript
const url = 'https://web3.nodit.io/v1/chiliz/mainnet/nft/getNftMetadataByTokenIds';
const options = {
  method: 'POST',
  headers: {
    accept: 'application/json',
    'content-type': 'application/json',
    'X-API-KEY': 'nodit-demo'
  },
  body: JSON.stringify({
    tokens: [
      {contractAddress: '0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D', tokenId: '1'},
      {contractAddress: '0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D', tokenId: '2'}
    ]
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chiliz.com/tr/gelistir/temel-ogeler/nasil-yapilir/nft-metadata-sorgulama.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
